PCI_CREATE_LEGACY_FI(9)

NAME
pci_create_legacy_files - create legacy I/O port and memory files

SYNOPSIS

void pci_create_legacy_files(struct pci_bus * b);

ARGUMENTS

b
    bus to create files under

DESCRIPTION

Some platforms allow access to legacy I/O port and ISA memory space on a per-bus basis. This routine creates the files and ties them into their associated read, write and mmap files from pci-sysfs.c

On error unwind, but don't propagate the error to the caller as it is ok to set up the PCI bus without these files.

COPYRIGHT